import QtQuick 2.5
import QtQuick.Controls 1.4
import QtQuick.Dialogs 1.2

Item {
    id: scriptComponent
    property int identifier: -1
    property string text: ""

    height: scriptTextField.height
    width: scriptTextField.width + fileSelectorButton.width

    FileDialog {
        id: loadScriptDialog
        visible: false
        title: "Please choose a script"
        folder: "file:///scripts"
        nameFilters: [ "Text files (*.txt)", "All files (*)" ]
        selectExisting: true;
        onAccepted: {
            var url = fileUrl.toString();
            scriptTextField.text = url.substring(url.lastIndexOf('/')+1);
            visible=false;
        }

        onRejected: visible=false;
    }

    TextField {
        id: scriptTextField
        anchors.right: fileSelectorButton.left
        text: scriptComponent.text
        onTextChanged: bridge.setSelParamText(identifier, text);
    }

    Button {
        id: fileSelectorButton
        width: 20
        height: 20
        anchors.right: parent.right
        onClicked: loadScriptDialog.visible = true;

        Image
        {
            source: "gfx/fileSelector.png"
            anchors.fill: parent
            anchors.margins: 4
        }
    }
}
